MPC85XX_LOCAL_C(9)

NAME
mpc85xx_local_config_write - Generate a MPC85xx local config space write

SYNOPSIS

int mpc85xx_local_config_write (int index, u32 offset, int len, u32 data);

ARGUMENTS

index
    ID of RapdiIO interface

offset
    Offset into configuration space

len Length (in bytes) of the maintenance transaction

data
    Value to be written

DESCRIPTION

Generates a MPC85xx local configuration space write. Returns 0 on success or -EINVAL on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.